// BlurSample.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "conio.h"
#include "WebApp.h"
#include <boost/thread/thread.hpp>

Wt::WServer server;

CWebApp* pApp = NULL;

Wt::WApplication* createApp(const Wt::WEnvironment& env)
{
    pApp = new CWebApp(env);
    return pApp;
}
int main(int argc, char* argv[])
{
    if (!argc)
        return false;

    try 
    {
        server.setServerConfiguration(argc, argv, "start.cfg");

        server.addEntryPoint(Wt::Application, createApp);

        server.start();

    } 
    catch (Wt::WServer::Exception& e) 
    {
        std::cerr << e.what() << "\n";
        return false;
    } 
    catch (std::exception& e) 
    {
        std::cerr << "exception: " << e.what() << "\n";
        return false;
    }

    while(true)
    {

    }

	return 0;
}
